WEBOOB-CONFIG(1)

NAME
weboob-config

SYNOPSIS
weboob-config [-dqv] [-b backends] [-cnfs] [command [arguments..]]
weboob-config [--help] [--version]

DESCRIPTION

Weboob-Config is a console application to add/edit/remove backends, and to register new website accounts.

  Supported websites:

WEBOOB-CONFIG COMMANDS

add NAME [OPTIONS ...]
    Add a backend.

applications
    Show applications.

backends [ACTION] [BACKEND_NAME]...
    Select used backends.
    ACTION is one of the following (default: list):
    * enable enable given backends
    * disable disable given backends
    * only enable given backends and disable the others
    * list display enabled and available backends
    * add add a backend
    * register register a new account on a website
    * edit edit a backend
    * remove remove a backend

confirm BACKEND
    For a backend which support CapAccount, parse a confirmation mail
    after using the 'register' command to automatically confirm the
    subscribe.
    It takes mail from stdin. Use it with postfix for example.

disable BACKEND
    Disable a backend

edit BACKEND
    Edit a backend

enable BACKEND
    Enable a disabled backend

info NAME
    Display information about a module.

install MODULE
    Install a module.

list [CAPS ..]
    Show backends.

modules [CAPS ...]
    Show available modules.

register MODULE
    Register a new account on a module.

remove NAME
    Remove a backend.

update
    Update weboob.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-b BACKENDS, --backends=BACKENDS
    what backend(s) to enable (comma separated)

LOGGING OPTIONS

-d, --debug
    display debug messages

-q, --quiet
    display only error messages

-v, --verbose
    display info messages

--logging-file=LOGGING_FILE
    file to save logs

-a, --save-responses
    save every response

RESULTS OPTIONS

-c CONDITION, --condition=CONDITION
    filter result items to display given a boolean expression

-n COUNT, --count=COUNT
    get a maximum number of results (all backends merged)

-s SELECT, --select=SELECT
    select result item keys to display (comma separated)

FORMATTING OPTIONS

-f FORMATTER, --formatter=FORMATTER
    select output formatter (csv, htmltable, multiline, simple, table, webkit)

--no-header
    do not display header

--no-keys
    do not display item keys

-O OUTFILE, --outfile=OUTFILE
    file to export result

COPYRIGHT
Copyright(C) 2010-2012 Christophe Benz, Romain Bignon

For full COPYRIGHT see COPYING file with weboob package.

FILES
"~/.weboob/backends"